### Method

# AppStreamCompose ImageTarget copy

since: 1.2.0

#### Declaration [src]

    AscImageTarget*
    asc_image_target_copy (
      AscImageTarget* target
    )

#### Description [src]

Create a deep copy of an `AscImageTarget`, including any result data it may already carry.

Available since: 1.2.0

#### Return value

Type: `AscImageTarget`

A new `AscImageTarget`.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.